@extends('layouts.master')

@section('navigation')
  @include('local.managers.admins._navigation')
@stop

@section('main')

<div class="row">
  <div class="col-md-12">
    <div class="btn-group pull-right">
      {{ HTML::linkAction('TemplatesController@printview', 'Print', array($template->id), array('class'=>'btn btn-default')) }}
    </div>

    <p>Passing Criteria:
      <span id="expected_percentage">{{{ $template->expected_percentage }}}% of students must obtain at least </span>
      <span id="expected_points">{{{$template->expected_points}}}</span> points
    </p>

    <table class="table table-striped table-condensed datatable" id= "RubricTable">
      <thead>
          <tr>
            <th></th>
            
            <th>Criterion</th>
            @for($i = 0; $i <$template->num_scales; $i++)
              <th>Scale {{$i+1}} ({{1+($i*($template->max_score/$template->num_scales))}} - {{(1+$i)*($template->max_score/$template->num_scales)}})</th>
              
                           
            @endfor
            
            <th>Learning Outcome</th>
          </tr>
        </thead>
      <tbody id ="bodyRubric">

      </tbody>
    </table>


    <br>
    <br>
    <div id="copyright-info">
      <hr>
      <p class="small"><strong>Copyright Information</strong></p>
      <ul id="copyright-list" class="list-unstyled small">
      </ul>
      <hr>
    </div>


    <br>
    <br>
    <br>

  </div>
</div>

<script>
  function createTable(){
    $.post("{{URL::action('TemplatesController@onLoadFetch')}}",
        {id :{{$template->id}}},
        function (json){
          table = $('#RubricTable');
        for(criterionIndex in json.criteria ){

          criterion = json.criteria[criterionIndex];
          trFull = '<tr data-criterion-copyright="'+criterion.copyright+'" data-criterion-notes="'+criterion.notes+'">';
          trFull+= '<td>'+(parseInt(criterionIndex)+1)+'.</td>';
          if(criterion.notes){
            
            trFull+= '<td><span><em data-toggle="tooltip" data-placement="top" title="'+criterion.notes+'">'+criterion.name+'</em></span><sup></sup></td>';
            //if(criterion.subcriteria){
              
            //}

          }
          else{
            
            trFull+='<td><span>'+criterion.name+'</span><sup></sup></td>';

          }

          for(scalesIndex in json.scales[criterion.criterion_id]){
            scale = json.scales[criterion.criterion_id][scalesIndex];
            trFull += '<td>'+scale.description+'</td>';
          }
          trFull += '<td>Prueba</td>';
          trFull +='</tr>';
          
          $("#bodyRubric").append(trFull);
        }


        
        
        }, 'json'
        );
  }
  </script>
@stop

@section('included-js')
    @include('global._datatables_js')
@stop

@section('javascript')

// --------------------------------------------------------------------------
// Page load
// --------------------------------------------------------------------------
createTable();
buildCopyrightList();

// --------------------------------------------------------------------------
// Functions
// --------------------------------------------------------------------------

// Build list from copyright info in template
function buildCopyrightList()
{
  // Empty the copyright list
  $('#copyright-list').empty();

  $('tbody tr').each(function( index )
  {
    var criterion = $(this);
    // If there's copyright info (in this particular view, it checks for empty strings)
    if(criterion.data('criterion-copyright')!='')
    {
      var copyright = criterion.data('criterion-copyright');

      // If there is anything in the copyright list
      if($('#copyright-list li').length>0)
      {

        // Check copyright list for the same copyright text
        var found = false;
        $('#copyright-list li').each(function()
        {
          // If found, give the string its number
          if(copyright==$(this).find('span').text())
          {
            copyrightNumber = Number.parseInt($(this).find('sup').text());


            criterion.children('td:nth-child(2)').find('sup').text(copyrightNumber);
            found =true;

            //to break
            return false;
          }
        });

        // Otherwise, give it the next number and append a new item to the
        // list
        if(!found)
        {
          var copyrightNumber = $('#copyright-list li').length+1;
          criterion.children('td:nth-child(2)').find('sup').text(copyrightNumber);
          $('#copyright-list').append('<li><sup>'+copyrightNumber+' </sup><span>'+copyright+'<span></li>');
        }
      }
      // Otherwise, give it number 1 and append it
      else
      {

        criterion.children('td:nth-child(2)').find('sup').text('1');
        $('#copyright-list').append('<li><sup>1 </sup><span>'+copyright+'<span></li>');
      }
    }
  });

  if($('#copyright-info li').length>0)
  {
    $('#copyright-info').show();
  }
  else
  {
    $('#copyright-info').hide();
  }
}


@stop
